#
# spec file for package sphinxbase
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sphinxbase
Version:        0.8
Release:        6.1
Summary:        Support library required by Pocketsphinx
License:        BSD-2-Clause and MIT
Group:          Productivity/Office/Other
Url:            http://cmusphinx.sourceforge.net/wiki/download/
Source:         http://downloads.sourceforge.net/project/cmusphinx/%{name}/%{version}/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM remove __DATE and __TIME
Patch0:         sphinxbase-no-date.patch
# PATCH-FIX-UPSTREAM fix doxygen documentation
Patch1:         sphinxbase-doxygen.patch
# PATCH-FIX-UPSTREAM fix largefile support
Patch2:         sphinxbase-largefile.patch
# PATCH-FIX-UPSTREAM initialize a variable
Patch3:         sphinxbase-uninit.patch
BuildRequires:  alsa-devel
BuildRequires:  bison
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  libsndfile-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  python-Cython
%if 0%{?suse_version} <= 1210
BuildRequires:  liblapack3
%else
BuildRequires:  lapack-devel
%endif

%description
CMU Sphinx toolkit has a number of packages for different tasks and applications. It's sometimes confusing what to choose. To cleanup, here is the list

%package devel
Summary:        Headers for support library required by Pocketsphinx
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Requires:       alsa-devel
Requires:       lapack-devel
Requires:       libsndfile-devel

%description devel
devel files for %{name}-%{version}

CMU Sphinx toolkit has a number of packages for different tasks and applications.

%package -n python2-sphinxbase
Summary:        Python bindings for sphinxbase required by python-pocketsphinx
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description -n python2-sphinxbase
Python2 bindings for %{name}-%{version}

CMU Sphinx toolkit has a number of packages for different tasks and applications.

%prep
%setup -q
%patch0 -p1
%patch1
%patch2
%patch3
# It has to be regenerated by cython
rm python/sphinxbase.c

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING README NEWS
%{_libdir}/*.so.*
%{_bindir}/sphinx_*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/sphinxbase.pc
%{_includedir}/sphinxbase/

%files -n python2-sphinxbase
%{py_sitedir}/SphinxBase-0.8-py2.7.egg-info
%{py_sitedir}/*.so

%changelog
* Tue Sep  5 2017 alarrosa@suse.com
- Add sphinxbase-doxygen.patch, sphinxbase-largefile.patch and
  sphinxbase-uninit.patch to fix several issues. Patches obtained
  from the fedora package.
- Fixed license in spec file. It's BSD-2-Clause + MIT
- Regenerate sphinxbase.c with cython instead of using the
  (old) released code.
- Run spec-cleaner
- Move the python bindings to a new python2-sphinxbase package
* Mon Sep  1 2014 hrvoje.senjan@gmail.com
- Fix devel package requires; devel package needs libsndfile-devel,
  alsa-devel and lapack-devel
* Mon Sep  1 2014 hrvoje.senjan@gmail.com
- Revert the license change from previous submit; there is no
  indication that upstream changed the license
* Sat Aug 30 2014 i@marguerite.su
- update version 0.8
  * Functions added to share with Sphinxtrain
  * Fixed build for MINGW
  * Better support for Python 3.x
  * Jack backend
  * New argument type STRING_LIST for Sphinxtrain
- added patch: sphinxbase-no-date.patch
  * remove __DATE and __TIME
* Sat Nov 10 2012 alinm.elena@gmail.com
- initial commit
